package cn.freemud.manager.dao;

import cn.freemud.entities.db.Partner;
import cn.freemud.entities.db.PushMccafeOrder;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PushMccafeOrderDao {

    PushMccafeOrder selectOrder(@Param("orderCode") String orderCode);

    List<PushMccafeOrder> selectOrderByStatus(@Param("status") Integer status);

    Integer insertOrder(PushMccafeOrder pushMccafeOrder);

    Integer updateOrder(PushMccafeOrder pushMccafeOrder);

}
